/*
**	LispText.h
**	A Text object to drive the Lisp object.
**	Lee Boynton, NeXT, Inc., 1989
*/

#import <appkit/Text.h>

@interface LispText:Text
{
    id theLisp;
    int inputPosition;
    BOOL connectedToLisp;
    int maxHistory;
    int historyHead;
    char **history;
}

- lispOutput:(const char *)theString;
    /*
    ** Accepts the given output from lisp and merges it into the text buffer.
    ** Output is always inserted just before the line of text currently being
    ** edited, but after all previous input and lisp output.
    */

- inputLisp:(const char *)theString;
- interruptLisp;
    /*
    ** These messages are directly delegated to the lisp object.
    */
 
- clearAll:sender;
    /*
    ** Clear all text in the LispText object. Other methods like cut: and 
    ** paste: are overridden to modify on the current line.
    */

@end


